Skip to main content
GET
/
api
/
v1
/
repos
List Repos
curl --request GET \
  --url https://api.{cluster}.code.storage/api/v1/repos \
  --header 'Authorization: Bearer <token>'
{
  "has_more": true,
  "next_cursor": "MTcwNzU3MzQ1MTAwMDAwMDAwMHxyZXBvXzlhNGMyMWY",
  "repos": [
    {
      "base_repo": {
        "name": "Hello-World",
        "owner": "octocat",
        "provider": "github"
      },
      "created_at": "2026-02-11T18:22:41Z",
      "default_branch": "main",
      "repo_id": "repo_7f2b3d9",
      "url": "pierre/sdk-documentation"
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

q
string

Case-insensitive substring to match against the repository url. Trimmed before matching. When omitted or empty after trimming, the full repository list is returned.

cursor
string

Pagination cursor from previous response (base64 encoded)

limit
integer
default:20

Maximum number of repositories to return. Defaults to 20 and is capped at 100.

Required range: 1 <= x <= 100

Response

A paginated view of repositories in the organisation.

Paginated list of repositories for the current organisation.

has_more
boolean
required

Whether another page is available.

Example:

true

repos
object[]
required

Repositories in the current page.

next_cursor
string

Opaque cursor for the next page, if any.

Example:

"MTcwNzU3MzQ1MTAwMDAwMDAwMHxyZXBvXzlhNGMyMWY"